Name: cockpit-files
Version: 16.17.gbcf6328
Release: 1.20250220104734932128.pr964.17.gbcf6328%{?dist}
Summary: A filesystem browser for Cockpit
License: LGPL-2.1-or-later

Source0: cockpit-files-16.17.gbcf6328.tar.xz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs
BuildRequires: make
%if 0%{?suse_version}
# Suse's package has a different name
BuildRequires:  appstream-glib
%else
BuildRequires:  libappstream-glib
%endif
BuildRequires: gettext

Requires: cockpit-bridge >= 318

# Replace the older cockpit-navigator provided by 45Drives
Obsoletes: cockpit-navigator < 0.5.11

Provides: bundled(npm(@patternfly/patternfly)) = 5.4.2
Provides: bundled(npm(@patternfly/react-core)) = 5.4.12
Provides: bundled(npm(@patternfly/react-icons)) = 5.4.2
Provides: bundled(npm(@patternfly/react-styles)) = 5.4.1
Provides: bundled(npm(@patternfly/react-table)) = 5.4.14
Provides: bundled(npm(@patternfly/react-tokens)) = 5.4.1
Provides: bundled(npm(attr-accept)) = 2.2.5
Provides: bundled(npm(dequal)) = 2.0.3
Provides: bundled(npm(file-selector)) = 2.1.2
Provides: bundled(npm(focus-trap)) = 7.6.2
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(lodash)) = 4.17.21
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react-dom)) = 18.3.1
Provides: bundled(npm(react-dropzone)) = 14.3.5
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(react)) = 18.3.1
Provides: bundled(npm(scheduler)) = 0.23.2
Provides: bundled(npm(tabbable)) = 6.2.0
Provides: bundled(npm(throttle-debounce)) = 5.0.2
Provides: bundled(npm(tslib)) = 2.8.1

%description
A filesystem browser for Cockpit

%prep
%setup -q -n cockpit-files

%build
# Nothing to build

%install
%make_install PREFIX=/usr

# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

# this can't be meaningfully tested during package build; tests happen through
# FMF (see plans/all.fmf) during package gating

%files
%doc README.md
%license LICENSE dist/index.js.LEGAL.txt
%{_datadir}/cockpit/*
%{_datadir}/metainfo/*

%changelog
* Thu Feb 20 2025 Packit <hello@packit.dev> - 16.17.gbcf6328-1.20250220104734932128.pr964.17.gbcf6328
- test: use modern typing hints (Jelle van der Waa)
- test: wait till fsinfo is loaded after `b.go` (Jelle van der Waa)
- Make copy/pasting consistent for superuser and non-superuser (Jelle van der Waa)
- Passing `--archive` already implies `--recursive` for `cp` (Jelle van der Waa)
- Makefile: Update Cockpit lib to 9ef2e8ba1d6b4b3db9b8baa45621ca07 (Cockpit Project)
- test: wait till fsinfo is loaded (Jelle van der Waa)
- test: wait until fsinfo loaded the current directory (Jelle van der Waa)
- test: Always use the folder context menu helper (Jelle van der Waa)
- po: Update from Fedora Weblate (GitHub Workflow)
- Drop unneeded disabling of max-len (Jelle van der Waa)
- focus delete button in delete modal (tomasmatus)
- Convert SCSS where possible to CSS (Jelle van der Waa)
- build(deps-dev): bump @typescript-eslint/eslint-plugin (dependabot[bot])
- test: fix testCopyPaste flakes (tomasmatus)
- Don't display overlay when drag even has no files (tomasmatus)
- test: drop superuser() after switching directory (Jelle van der Waa)
- Handle symlink permissions correctly (Jelle van der Waa)
